org.jbpm.executor.commands

## Class SLATrackingCommand

- java.lang.Object
- - org.jbpm.executor.commands.SLATrackingCommand

- All Implemented Interfaces:
    org.kie.api.executor.Command, org.kie.api.executor.Reoccurring

      public class SLATrackingCommand
      extends Object
      implements org.kie.api.executor.Command, org.kie.api.executor.Reoccurring

  SLA Tracking command that aims at looking up for process or node instances with SLA violations: Command by default is auto configured to run once an hour from the time it was initially scheduled though it can be reconfigured in terms of frequency when it is executed and if it shall run multiple times at all.
  Following is a complete list of accepted parameters:
  - EmfName - name of entity manager factory to be used for queries (valid persistence unit name)
  - SingleRun - indicates if execution should be single run only (true|false)
  - NextRun - provides next execution time (valid time expression e.g. 1d, 5h, etc)
  - ForDeployment - indicates errors to be deleted that are from given deployment id

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SLATrackingCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.executor.ExecutionResults` | `execute(org.kie.api.executor.CommandContext ctx)`
    `Date` | `getScheduleTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SLATrackingCommand

          public SLATrackingCommand()

  - ### Method Detail

    - #### getScheduleTime

          public Date getScheduleTime()

      Specified by:
        `getScheduleTime` in interface `org.kie.api.executor.Reoccurring`

    - #### execute

          public org.kie.api.executor.ExecutionResults execute(org.kie.api.executor.CommandContext ctx)
                                                        throws Exception

      Specified by:
        `execute` in interface `org.kie.api.executor.Command`
      Throws:
        `Exception`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.